package com.jenny.magic.items;

import net.minecraft.world.entity.player.Player;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.level.Level;
import net.minecraft.world.phys.Vec3;
import org.jetbrains.annotations.NotNull;

public class TeleportScrollConsumable extends TeleportScroll {
    public TeleportScrollConsumable(Properties pProperties) {
        super(pProperties);
    }

    @Override
    protected void use(Vec3 pos, Player player, @NotNull ItemStack itemStack, Level level) {
        super.use(pos, player, itemStack, level);
        itemStack.shrink(1);
    }

}
